Skip to main content
POST
Create Project

Authorizations

Authorization
string
header
required

Use the Authorization header with the value 'Bearer ' to authenticate. Partner API Keys have full access; Project API Keys are limited to their project scope. Learn more: https://docs.peaka.com/api-reference/authentication

Path Parameters

organizationId
string
required

ID of the Organization

workspaceId
string
required

ID of the Workspace

Body

application/json

Project to create

name
string
required

Project name

Example:

"My Project"

description
string

Descriptive text about the project

Example:

"This is a project that does something"

Response

200 - application/json

Project created

Project

id
string

Project ID

name
string

Project name

description
string

Descriptive text about the project

domain
string

Domain of the project

webhookBaseUrl
string

Webhook base URL

createdAt
string

The date and time the project was created

owner
string

The owner of the project

workspaceId
string

The workspace to which the project belongs